/*
 * $Id: f_styledText.js,v 1.6 2007/01/24 21:38:18 oeuillot Exp $
 */

/**
 * @class public f_styledText extends f_text
 * @author Olivier Oeuillot (latest modification by $Author: oeuillot $)
 * @version $Revision: 1.6 $ $Date: 2007/01/24 21:38:18 $
 */
var __prototype = {

	/**
	 * @method public
	 * @return String
	 */
	f_getText: function() {
		return this.innerHTML;
	},
	/**
	 * @method public
	 * @param String text The text.
	 * @return void
	 */
	f_setText: function(text) {
		f_core.Assert(typeof(text)=="string", "f_styledText.f_setText: Invalid text parameter ! ('"+text+"')");

		if (this.f_getText() == text) {
			return;
		}
		this.innerHTML=text;
		
		this.f_setProperty(f_prop.TEXT,text);
	}
}

new f_class("f_styledText", null, null, __prototype, f_text);
